package com.community.huiju.dao;

import com.community.huiju.model.TpHotelRoom;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface TpHotelRoomMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(TpHotelRoom record);

    int insertSelective(TpHotelRoom record);

    TpHotelRoom selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TpHotelRoom record);

    int updateByPrimaryKey(TpHotelRoom record);

    /**
     * 获取当前所有房间
     * @return
     */
    List<TpHotelRoom> selectHotelRoomList(@Param("communityId") Integer communityId,@Param("hotelId") Integer hotelId);
}